init
Some checks failed
Docker. / Ubuntu (push) Has been cancelled
User-agent updater. / User-agent (push) Failing after 15s
Lock Threads / lock (push) Failing after 10s
Waiting for answer. / waiting-for-answer (push) Failing after 22s
Needs user action. / needs-user-action (push) Failing after 8s
Can't reproduce. / cant-reproduce (push) Failing after 8s
Close stale issues and PRs / stale (push) Has been cancelled

This commit is contained in:
allhaileris
2026-02-16 15:50:16 +03:00
commit afb81b8278
13816 changed files with 3689732 additions and 0 deletions

View File

@@ -0,0 +1,90 @@
#!/bin/bash -e
#
# Copyright (c) 2018 Apple Inc. All rights reserved.
#
# @APPLE_APACHE_LICENSE_HEADER_START@
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# @APPLE_APACHE_LICENSE_HEADER_END@
#
test "$ACTION" = install || exit 0
list_objc_syms ()
{
nm -arch $1 -nU ${DSTROOT}/usr/lib/system/libdispatch.dylib | grep _OBJC | cut -d' ' -f3
}
list_mutable_data_syms ()
{
nm -arch $1 -m ${DSTROOT}/usr/lib/system/libdispatch.dylib |grep __DATA|egrep -v '(__const|__crash_info)'|sed 's/^.* //'
}
list_objc_order ()
{
grep '^_OBJC' "${SCRIPT_INPUT_FILE_0}"
}
list_dirty_order ()
{
grep '^[^#]' "${SCRIPT_INPUT_FILE_1}"
}
list_clean_order ()
{
grep '^[^#]' "${SCRIPT_INPUT_FILE_2}"
}
fail=
case "$PLATFORM_NAME" in
*simulator) exit 0;;
*) ;;
esac
if comm -12 <(list_dirty_order | sort) <(list_clean_order | sort) | grep .; then
echo 1>&2 "error: *** SYMBOLS CAN'T BE BOTH CLEAN AND DIRTY ***"
comm 1>&2 -12 <(list_dirty_order | sort) <(list_clean_order | sort)
fail=t
fi
for arch in $ARCHS; do
if test "$PLATFORM_NAME" = macosx -a "$arch" = i386; then
continue
fi
if list_mutable_data_syms $arch | sort | uniq -c | grep -qvw 1; then
echo 1>&2 "error: *** DUPLICATED SYMBOL NAMES FOR SLICE $arch ***"
list_mutable_data_syms $arch | sort | uniq -c | grep -qw 1 1>&2
fail=t
fi
if comm -23 <(list_mutable_data_syms $arch | sort) <((list_dirty_order; list_clean_order) | sort) | grep -q .; then
echo 1>&2 "error: *** SYMBOLS NOT MARKED CLEAN OR DIRTY FOR SLICE $arch ***"
comm 1>&2 -23 <(list_mutable_data_syms $arch | sort) <((list_dirty_order; list_clean_order) | sort)
fail=t
fi
if comm -13 <(list_mutable_data_syms $arch | sort) <((list_dirty_order; list_clean_order) | sort) | grep -q .; then
echo 1>&2 "warning: *** Found unknown symbols in dirty/clean files for slice $arch ***"
comm 1>&2 -13 <(list_mutable_data_syms $arch | sort) <((list_dirty_order; list_clean_order) | sort)
fi
if ! cmp -s <(list_objc_syms $arch) <(list_objc_order); then
echo 1>&2 "error: *** SYMBOL ORDER IS NOT WHAT IS EXPECTED FOR SLICE $arch ***"
diff 1>&2 -U100 <(list_objc_syms $arch) <(list_objc_order) || fail=t
fi
done
test -z "$fail"

View File

@@ -0,0 +1,31 @@
#!/bin/bash -e
#
# Copyright (c) 2013 Apple Inc. All rights reserved.
#
# @APPLE_APACHE_LICENSE_HEADER_START@
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# @APPLE_APACHE_LICENSE_HEADER_END@
#
# This check equates to "is macosx or a simulator platform"
if [ "${PLATFORM_NAME}" == "${DEVICE_PLATFORM_NAME}" ]; then exit 0; fi
if [ "${DEPLOYMENT_LOCATION}" != YES ]; then
DSTROOT="${CONFIGURATION_BUILD_DIR}"
fi
mkdir -p "${DSTROOT}${PUBLIC_HEADERS_FOLDER_PATH}" || true
cp -X "${SCRIPT_INPUT_FILE_1}" \
"${DSTROOT}${PUBLIC_HEADERS_FOLDER_PATH}/${SCRIPT_OUTPUT_FILE_0##/*/}"

View File

@@ -0,0 +1,32 @@
#!/bin/bash -e
#
# Copyright (c) 2012 Apple Inc. All rights reserved.
#
# @APPLE_APACHE_LICENSE_HEADER_START@
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# @APPLE_APACHE_LICENSE_HEADER_END@
#
if [ "${DEPLOYMENT_LOCATION}" != YES ]; then
DSTROOT="${CONFIGURATION_BUILD_DIR}"
fi
mkdir -p "${DSTROOT}${OS_PUBLIC_HEADERS_FOLDER_PATH}" || true
mkdir -p "${DSTROOT}${OS_PRIVATE_HEADERS_FOLDER_PATH}" || true
cp -X "${SCRIPT_INPUT_FILE_1}" "${DSTROOT}${OS_PUBLIC_HEADERS_FOLDER_PATH}"
cp -X "${SCRIPT_INPUT_FILE_2}" "${DSTROOT}${OS_PRIVATE_HEADERS_FOLDER_PATH}"
cp -X "${SCRIPT_INPUT_FILE_3}" "${DSTROOT}${OS_PRIVATE_HEADERS_FOLDER_PATH}"
cp -X "${SCRIPT_INPUT_FILE_4}" "${DSTROOT}${OS_PRIVATE_HEADERS_FOLDER_PATH}"
cp -X "${SCRIPT_INPUT_FILE_5}" "${DSTROOT}${OS_PRIVATE_HEADERS_FOLDER_PATH}"

View File

@@ -0,0 +1,108 @@
#!/bin/bash -e
#
# Copyright (c) 2010-2012 Apple Inc. All rights reserved.
#
# @APPLE_APACHE_LICENSE_HEADER_START@
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# @APPLE_APACHE_LICENSE_HEADER_END@
#
if [ "$ACTION" = installhdrs ]; then exit 0; fi
if [ "${RC_ProjectName%_Sim}" != "${RC_ProjectName}" ]; then exit 0; fi
mkdir -p "$DSTROOT"/usr/share/man/man3 || true
mkdir -p "$DSTROOT"/usr/local/share/man/man3 || true
# Copy man pages
cd "$SRCROOT"/man
BASE_PAGES="dispatch.3 dispatch_after.3 dispatch_api.3 dispatch_apply.3 \
dispatch_async.3 dispatch_group_create.3 dispatch_object.3 \
dispatch_once.3 dispatch_queue_create.3 dispatch_semaphore_create.3 \
dispatch_source_create.3 dispatch_time.3 dispatch_data_create.3 \
dispatch_io_create.3 dispatch_io_read.3 dispatch_read.3"
PRIVATE_PAGES="dispatch_benchmark.3"
cp ${BASE_PAGES} "$DSTROOT"/usr/share/man/man3
cp ${PRIVATE_PAGES} "$DSTROOT"/usr/local/share/man/man3
# Make hard links (lots of hard links)
cd "$DSTROOT"/usr/local/share/man/man3
ln -f dispatch_benchmark.3 dispatch_benchmark_f.3
chown ${INSTALL_OWNER}:${INSTALL_GROUP} $PRIVATE_PAGES
chmod $INSTALL_MODE_FLAG $PRIVATE_PAGES
cd $DSTROOT/usr/share/man/man3
chown ${INSTALL_OWNER}:${INSTALL_GROUP} $BASE_PAGES
chmod $INSTALL_MODE_FLAG $BASE_PAGES
ln -f dispatch_after.3 dispatch_after_f.3
ln -f dispatch_apply.3 dispatch_apply_f.3
ln -f dispatch_once.3 dispatch_once_f.3
for m in dispatch_async_f dispatch_sync dispatch_sync_f; do
ln -f dispatch_async.3 ${m}.3
done
for m in dispatch_group_enter dispatch_group_leave dispatch_group_wait \
dispatch_group_async dispatch_group_async_f dispatch_group_notify \
dispatch_group_notify_f; do
ln -f dispatch_group_create.3 ${m}.3
done
for m in dispatch_retain dispatch_release dispatch_suspend dispatch_resume dispatch_activate \
dispatch_get_context dispatch_set_context dispatch_set_finalizer_f; do
ln -f dispatch_object.3 ${m}.3
done
for m in dispatch_semaphore_signal dispatch_semaphore_wait; do
ln -f dispatch_semaphore_create.3 ${m}.3
done
for m in dispatch_get_current_queue dispatch_main dispatch_get_main_queue \
dispatch_get_global_queue dispatch_queue_get_label \
dispatch_set_target_queue; do
ln -f dispatch_queue_create.3 ${m}.3
done
for m in dispatch_source_set_event_handler dispatch_source_set_event_handler_f \
dispatch_source_set_registration_handler dispatch_source_set_registration_handler_f \
dispatch_source_set_cancel_handler dispatch_source_set_cancel_handler_f \
dispatch_source_cancel dispatch_source_testcancel \
dispatch_source_get_handle dispatch_source_get_mask \
dispatch_source_get_data dispatch_source_merge_data \
dispatch_source_set_timer; do
ln -f dispatch_source_create.3 ${m}.3
done
ln -f dispatch_time.3 dispatch_walltime.3
for m in dispatch_data_create_concat dispatch_data_create_subrange \
dispatch_data_create_map dispatch_data_apply \
dispatch_data_copy_region dispatch_data_get_size; do
ln -f dispatch_data_create.3 ${m}.3
done
for m in dispatch_io_create_with_path dispatch_io_set_high_water \
dispatch_io_set_low_water dispatch_io_set_interval \
dispatch_io_close dispatch_io_barrier; do
ln -f dispatch_io_create.3 ${m}.3
done
ln -f dispatch_io_read.3 dispatch_io_write.3
ln -f dispatch_read.3 dispatch_write.3

View File

@@ -0,0 +1,40 @@
#!/bin/bash -e
#
# Copyright (c) 2010-2011 Apple Inc. All rights reserved.
#
# @APPLE_APACHE_LICENSE_HEADER_START@
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# @APPLE_APACHE_LICENSE_HEADER_END@
#
export MIGCC="$(xcrun -find cc)"
export MIGCOM="$(xcrun -find migcom)"
export PATH="${PLATFORM_DEVELOPER_BIN_DIR}:${DEVELOPER_BIN_DIR}:${PATH}"
for p in ${HEADER_SEARCH_PATHS}; do
OTHER_MIGFLAGS="${OTHER_MIGFLAGS} -I${p}"
done
for a in ${ARCHS}; do
xcrun mig ${OTHER_MIGFLAGS} -arch $a -header "${SCRIPT_OUTPUT_FILE_0}" \
-sheader "${SCRIPT_OUTPUT_FILE_1}" -user /dev/null \
-server /dev/null "${SCRIPT_INPUT_FILE_0}"
xcrun mig ${OTHER_MIGFLAGS} -arch $a -header "${SCRIPT_OUTPUT_FILE_2}" \
-sheader "${SCRIPT_OUTPUT_FILE_3}" -user /dev/null \
-server /dev/null "${SCRIPT_INPUT_FILE_1}"
xcrun mig ${OTHER_MIGFLAGS} -arch $a -header "${SCRIPT_OUTPUT_FILE_4}" \
-sheader "${SCRIPT_OUTPUT_FILE_5}" -user /dev/null \
-server /dev/null "${SCRIPT_INPUT_FILE_2}"
done

View File

@@ -0,0 +1,21 @@
#!/bin/bash -e
#
# Copyright (c) 2010-2011 Apple Inc. All rights reserved.
#
# @APPLE_APACHE_LICENSE_HEADER_START@
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# @APPLE_APACHE_LICENSE_HEADER_END@
#

View File

@@ -0,0 +1,26 @@
#!/bin/bash -e
#
# Copyright (c) 2016 Apple Inc. All rights reserved.
#
# @APPLE_APACHE_LICENSE_HEADER_START@
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# @APPLE_APACHE_LICENSE_HEADER_END@
#
if [[ "x${ACTION}" == "xinstall" && "x${SKIP_INSTALL}" == "xNO" ]]; then
$@
else
exit 0
fi